<?php

require_once 'PEAR/PackageFileManager2.php';
PEAR::setErrorHandling(PEAR_ERROR_DIE);

$desc= <<<EOT
The Perforce extension wraps the Perforce C/C++ API.  This gives PHP developers direct access to the native Perforce client functions.
EOT;

$version = '1.0.3';
$notes = <<<EOT
Fixing some compilations issues with PHP 5.3 builds.
EOT;

$package = new PEAR_PackageFileManager2();

$result = $package->setOptions(array(
    'filelistgenerator' => 'perforce',
    'changelogoldtonew' => false,
    'simpleoutput'      => true,
    'baseinstalldir'    => '/',
    'packagefile'       => 'package.xml',
    'packagedirectory'  => '.',
    'clearcontents'     => true,
    'ignore'            => array('package.php', 'package.xml'),
    'roles'             => array(
        'cpp'       => 'src',
        'h'         => 'src',
        'm4'        => 'src',
        'w32'       => 'src',
        'in'        => 'src',
    ),
    'exceptions'        => array(
         'CREDITS'  => 'doc',
    ),
));

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}

$package->clearDeps();
$package->setPackage('perforce');
$package->setPackageType('extsrc');
$package->setSummary('Perforce API Extension');
$package->setDescription($desc);
$package->setChannel('pecl.php.net');
$package->setLicense('BSD License');
$package->addMaintainer('lead', 'jon', 'Jon Parise', 'jon@php.net');

$package->addConfigureOption('with-perforce', 'Path to P4API', 'autodetect');

$package->addRelease();
$package->setProvidesExtension('perforce');
$package->setAPIVersion('1.0.0');
$package->setAPIStability('stable');
$package->setReleaseVersion($version);
$package->setReleaseStability('stable');
$package->setNotes($notes);
$package->setPhpDep('5.2.0');
$package->setPearInstallerDep('1.4.3');

$package->generateContents();

if ($_SERVER['argv'][1] == 'commit') {
    $result = $package->writePackageFile();
} else {
    $result = $package->debugPackageFile();
}

if (PEAR::isError($result)) {
    echo $result->getMessage();
    die();
}
